Net Usage Item Version History

19 versions

Be careful with old versions!

These versions are displayed for reference and testing purposes. You should always use the latest version of an add-on.

Version 1.2.337.1 98.3 KB Works with Firefox 3.0 and later, SeaMonkey 2.0 - 2.1b3

Version 1.2.324 99.3 KB Works with Firefox 3.0 and later, SeaMonkey 2.0 - 2.1b3

Added available ISPs from all countries.\
Fixes parsing errors in Bigpond, Optus, Exetel, Videotron and more.

Version 1.2.310 92.2 KB Works with Firefox 3.0 and later, SeaMonkey 2.0 - 2.1b3

Version 1.2.309.1 92.2 KB Works with Firefox 3.0 and later, SeaMonkey 2.0 - 2.1b3

Firefox 4 compatibility plus tons of ISP fixes.

Version 1.2.225.1 84.0 KB Works with Firefox 1.5 - 3.5.*, SeaMonkey 2.0a3pre - 2.0b1

Version 1.2.211 82.9 KB Works with Firefox 1.5 - 3.0.*

Fix a bunch of ISPs like internode, bigpond

Version 1.2.206.1 82.9 KB Works with Firefox 1.5 - 3.0.*

Version 1.2.199 78.8 KB Works with Firefox 1.5 - 3.0.*

Firefox 3 Compatibility
Fixed unwired

Version 1.2.171 69.6 KB Works with Firefox 1.5 - 2.0.0.*

Fixed Bigpond, Optus

Version 1.2.165 69.6 KB Works with Firefox 1.5 - 2.0.0.*

Bug fixes

Version 1.2.138 66.6 KB Works with Firefox 1.5 - 2.0.0.*

Fixed many bugs
Added multiple usage bars
GUI text now customisable

Version 1.1.90.1 65.5 KB Works with Firefox 1.5 - 2.0.0.*

Version 1.0.9 60.4 KB Works with Firefox 1.5 - 2.0.0.*

Version 1.0.3 57.3 KB Works with Firefox 1.5 - 2.0.0.*

Complete rewrite.

Version 0.8.0 51.2 KB Works with Firefox 0.9 - 1.0.7

Added WestNet, .netcall
Fixed optus, aanet

Version 0.7.3 57.3 KB Works with Firefox 0.9 - 1.0.4

Fixed Netspace
Fixed for Deer Park

Version 0.7.1 57.3 KB Works with Firefox 0.9 - 1.0.4

Version 0.6.8 56.3 KB Works with Firefox 0.9 - 1.0.3

Version 0.5.8 48.1 KB Works with Firefox 0.7 - 0.10